Subject: Publishing nodes can lead to persistence exception
Description

Moveing a node works for me, but while publishing, an exception is thrown and the change is not published.

ExtDirect error: Uncaught exception #0 - An exception occurred while executing 'INSERT INTO
typo3_typo3cr_domain_model_nodedata (persistence_object_identifier, pathhash, path, parentpath, identifier, sortingindex, removed,
hiddenbeforedatetime, hiddenafterdatetime, properties, nodetype, hidden, hiddeninindex, accessroles, workspace,
contentobjectproxy) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)' with params ["92742fcb-86cd-537e-b4d5-e15fe61ce3fc",
"e43f9052837a4c63b1b621350b2b550e", "\/sites\/neosdemotypo3org\/features\/test\/main",
"\/sites\/neosdemotypo3org\/features\/test", "06f314c6-f12d-decc-cab0-570268831749", 100, 0, null, null, "a:0:{}",
"TYPO3.Neos:ContentCollection", 0, 0, "a:0:{}", "live", null]: SQLSTATE23000: Integrity constraint violation: 1062 Duplicate entry
'e43f9052837a4c63b1b621350b2b550e-live' for key 'UNIQ_60A956B92DBEC7578D940019'

But as i click the pulldown-menu right of the publish-button, i can go to the workspace-management. When i click there on "Publish all
changes" the change is published as expected. But if i click here to publish the node itself, then the same exception is thrown.
Best Regards Renzo

Associated revisions
Revision 42826b23 - 2013-12-07 18:02 - Christopher Hlubek

[BUGFIX] Don't publish arbitrary nodes from any workspace

This adds a check if the node that should be published is actually in
the workspace where the publish operation was called.

It fixes the publishing of changed documents after the introduction of
a unique constraint on the workspace and path in
I75faece045ae2df9249744956886c270b291fb64.

Fixes: #54262
Change-Id: I314ca5906f91bbe938c31b48eb253b727342fd37
Reviewed-on: https://review.typo3.org/25994
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-12-07 15:05 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.

2015-08-04 1/2

https://review.typo3.org/25994


It is available at https://review.typo3.org/25994

#2 - 2013-12-07 18:37 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:42826b23bebfad4cff4252d90c5e14695875fc8b.
